#ifndef _BogusFinder_h_
#define _BogusFinder_h_

#include "GameTypes.h"
#include "Window.h"
#include "Blitters.h"
#include "Application.h"
#include "MenuItem.h"


#define	kNumFinderIcons		3

#define	kIconPhotoShop		0
#define	kIconMacAmp			1
#define	kIconQT				2

class	BogusFinder : public Application
{
public:
	BogusFinder( void );
	
	Boolean	Init( void );
	
	virtual	void HandleEvent( ushort event , void *data );
	
	virtual	Boolean HandleMouseClick( Boolean down, point where );
	virtual	void 	HandleMouseMove( point where );
	virtual void	CleanUp( rect *where );
	
	virtual void 	Maintance( void );
	
private:
	void			ChangeActive( Boolean act );
	void			SetUpMenuItems( void );
	void			HandleMenuSelect( uchar	which , uchar num );
	
	void			IconHandleMouseClick( Boolean down, point where );
	void			IconHandleMouseMove( point where );
	void			IconCleanUp( rect *where );
	void			HandleIconClick( short which );
	
	MenuItem		FileMenu;
	MenuItem		EditMenu;
	MenuItem		ViewMenu;
	MenuItem		SpecialMenu;
	
// icons
	rect			icons[ kNumFinderIcons ];	// in buff
	rect			screenIcon[ kNumFinderIcons ];
	uchar			selectedIcon;
	OffScreenBuff	iconBuff;
	point			start;
	Boolean			movingIcon;
	Boolean			didMove;

// back ground

	OffScreenBuff	backGround;
};

#endif