#ifndef _GameTypes_h_
#define _GameTypes_h_


#define kNoOwner		0
#define kNoTeam			0

typedef unsigned long ulong;
typedef unsigned short ushort;
typedef unsigned char uchar;


typedef struct rect {

short	top;
short	left;
short	bottom;
short	right;

};
typedef rect rect16;

typedef struct urect {

ushort	top;
ushort	left;
ushort	bottom;
ushort	right;

};
typedef urect urect16;

typedef struct rect32 {

long	top;
long	left;
long	bottom;
long	right;

};

typedef struct urect32 {

ulong	top;
ulong	left;
ulong	bottom;
ulong	right;

};

typedef struct point {

short	x;
short	y;

};
typedef point point16;

typedef struct upoint {

ushort	x;
ushort	y;

};
typedef upoint upoint16;


typedef struct point32 {

long	x;
long	y;

};

typedef struct upoint32 {

ulong	x;
ulong	y;

};

#endif