#ifndef _MacAmp_h_
#define _MacAmp_h_

#include "Blitters.h"
#include "Application.h"
#include "FloatWindow.h"

class	MacAmp : public Application
{
public:
	MacAmp( void );
	
	Boolean	Init( void );
	
	virtual	void HandleEvent( ushort event , void *data );
	
	virtual	Boolean HandleMouseClick( Boolean down, point where );
	virtual	void 	HandleMouseMove( point where );
	virtual void	CleanUp( rect *where );
	
	virtual void 	Maintance( void );
	
private:
	void			ChangeActive( Boolean act );
	void			SetUpMenuItems( void );
	void			HandleMenuSelect( uchar	which , uchar num );
	
	MenuItem		FileMenu;
	MenuItem		EditMenu;
	MenuItem		WindowMenu;

	FloatWindow		playList;
	FloatWindow		mainthing;
	
};



#endif