#ifndef _Window_h_
#define _Window_h_

#include "Blitters.h"

class	Window;
class	Window
{
public:
	Window( void );
	~Window( void );
	
	virtual	Boolean	Init( void );
	
	virtual	void	HandleMouseClick( Boolean down , point where );
	virtual	void	HandleMouseMove( point where );
	virtual	Boolean	PointInWindow( point where );

	virtual	Boolean	Front( void );	
	virtual	void	SetFront( Boolean f );
	
	virtual	void	DrawToScreen( rect *where , Boolean backGround = false );
	
	void			HideWindow( Boolean h );
	void			ShadeWindow( Boolean s );
	
	void			SetLocation( short x, short y );
	point			GetLocation( void );
	
	void			AddToUpdate( void );
	
	Window			*next;
	Window			*previous;
protected:
	void			HandleDrag( point where );

//
	Boolean			dragable;		// can it be draged or not
	Boolean			draging;
	point			start;

//
	short			width;
	short			height;
	
	OffScreenBuff	window;
	rect			screenLoc;		// where it is in the screen
	Boolean			front;			// if it is the front window or not
	Boolean			shaded;			// if the window is shaded or not
	Boolean			hiden;			// hiden or not
};

#endif