#ifndef _WindowList_h_
#define _WindowList_h_

#include "LinkedList.h"
#include "Window.h"

class	NormalWindowList : public LinkListClass< Window >
{
public:
	NormalWindowList( void );
	
	void	AddWindow( Window *w );
	void	RemoveWindow( Window *w );
	void	DrawAll( rect *where );
	
	Boolean	HandleMouseClick( Boolean down , point where );
	void	HandleMouseMove( point where );
	
	void	SetBackGround( Boolean b );
	
private:
	Boolean	HandleMouseDown( point where );
	void	HandleMouseUp( point where );
	
	Boolean	backGround;
};

class	FrontWindowList : public LinkListClass< Window >
{
public:
	FrontWindowList( void );
	
	void	AddWindow( Window *w );
	void	RemoveWindow( Window *w );
	void	DrawAll( rect *where );
	
	Boolean	HandleMouseClick( Boolean down , point where );
	void	HandleMouseMove( point where );
	
	void	SetBackGround( Boolean b );
	
private:
	Boolean	HandleMouseDown( point where );
	void	HandleMouseUp( point where );
	
	Boolean	backGround;
};

class	MenuWindowList : public LinkListClass< Window >
{
public:
	MenuWindowList( void );
	
	void	AddWindow( Window *w );
	void	RemoveWindow( Window *w );
	void	DrawAll( rect *where );
	
	Boolean	HandleMouseClick( Boolean down , point where );
	void	HandleMouseMove( point where );
	
	void	SetBackGround( Boolean b );
	
private:
	Boolean	HandleMouseDown( point where );
	void	HandleMouseUp( point where );
	
	Boolean	backGround;
};

#endif