#ifndef _WindowManager_h_
#define	_WindowManager_h_




#include "WindowList.h"
#include "Window.h"


class	WindowManager
{
public:
	WindowManager( void );
	~WindowManager( void );
	
	void	AddNormalWindow( Window *w );
	void	AddFrontWindow( Window *w );
	void	AddMenuWindow( Window *w );
	
	void	RemoveNormalWindow( Window *w );
	void	RemoveFrontWindow( Window *w );
	
	Boolean	WMHandleMouseClick( Boolean down , point where );
	void	WMHandleMouseMove( point where );
	
	void	DrawWindows( rect *where );
	void	WMMaintance( void );
	
	void	WMGoBackGround( Boolean b );
	
private:

	NormalWindowList	normal;
	FrontWindowList		front;
	MenuWindowList		menu;
};


#endif