//===================================================================
//=======================  Headers		=============================

#include "Screen.h"
#include "MacOSEvents.h"
#include "ApplicationHandler.h"


#include "MenuBar.h"
void	InitTHIng( void );

//===================================================================
//=======================  Globals		=============================


//===================================================================
//=======================  #define		=============================


//===================================================================
//=======================  Function Prototypes	=====================
void InitOSSpecific( void );
void	main( void );

/*----------------------------------------------------------------------------\

	main

\----------------------------------------------------------------------------*/

void	main( void )
{
	InitOSSpecific();
	
	InitEvents();
	InitMenuItems();
	menuBar.Init();
	InitMenuItemWindow();
	ApplicationHandlerInit();
	InitTHIng();
	
	if( screen.InitScreen() )
	{
		AH.Maintance();
		
		while( true )
		{
			HandleInterface();
		
			AH.Maintance();
			screen.UpdateMainWindow();
		}	
	}
}

/*----------------------------------------------------------------------------\

	InitToolbox
	
	Need to call this first on the macos

\----------------------------------------------------------------------------*/

void InitOSSpecific( void )
{
	MaxApplZone();

	InitGraf((Ptr) &qd.thePort);
	InitFonts();
	InitWindows();
	InitMenus();
	FlushEvents(everyEvent,0);
	TEInit();
	InitDialogs(0L);
	InitCursor();
	
	MoreMasters();
	MoreMasters();
	MoreMasters();
	MoreMasters();
	MoreMasters(); // 5 needed? 
}