#ifndef _AlertDialog_h_
#define _AlertDialog_h_

#include "Window.h"

#define	kFatalAlert		0
#define	kWarningAlert	1

class	AlertDialog : public Window
{
public:
	AlertDialog( void );
	
	void	SetDialog( char type , char *message , Boolean center = true );
// generic stuff
	virtual	Boolean	Init( void );
	
	virtual	void	HandleMouseClick( Boolean down , point where );
	virtual	void	HandleMouseMove( point where );
	virtual	Boolean	PointInWindow( point where );

	virtual	Boolean	Front( void );	
	virtual	void	SetFront( Boolean f );
	
	virtual	void	DrawToScreen( rect *where , Boolean backGround = false );

private:
	
	char	type;
	char 	warning[ 100 ];
	
	rect	ok;
	rect	cancel;
	
};



#endif