#ifndef _Application_h_
#define _Application_h_

#include "GameTypes.h"
#include "WindowManager.h"
#include "MenuItem.h"

class	Application;
class	Application : public WindowManager
{
public:
	Application( void );
	
	
	virtual	void HandleEvent( ushort event , void *data );
	
	virtual	Boolean HandleMouseClick( Boolean down, point where );
	virtual	void 	HandleMouseMove( point where );
	virtual void	CleanUp( rect *where );
	
	virtual void 	Maintance( void );
	
	Boolean	IsActive( void );
	Boolean IsHiden( void );
	
	char	GetAppType( void );
	
public:
	Application	*next;
	Application	*previous;
protected:
	void	InitSpecialMenus( void );
	
	MenuItem	appleMenu;
	MenuItem	AppSwitchMenu;

	char	whichApp;
	Boolean	active;
	Boolean hiden;
};


#endif