#ifndef _MenuItem_h_
#define _MenuItem_h_


#include "GameTypes.h"
#include "MenuItemWindow.h"

void	InitMenuItems( void );

// menu title
#define	kNumberOfTitles		20

#define	kAppleMenuTitle		0
#define	kAppListMenuTitle	1
#define kFileMenuTitle		2
#define kEditMenuTitle		3
#define kViewMenuTitle		4
#define kSpecialMenuTitle	5
#define kHelpMenuTitle		6
#define	kImageMenuTitle		7
#define	kLayerMenuTitle		8
#define kSelectMenuTitle	9
#define	kFilterMenuTitle	10
#define	kWindowMenuTitle	11


// max number of items in a menu

#define	kMaxMenuItemItems		50



class	MenuItem : public MenuItemWindow
{
public:
	MenuItem( void );
	
	void	SetWhichMenu( uchar w );
	void	SetLocation( short start );
	rect	GetLoc( void );		// get the far right side of it
	
	void	DrawMenu( rect * where );
	
	void	SetActive( Boolean h );
	Boolean	PointInTitle( point where );
	
	void	AddRectToUpdate( void );
	
private:

	rect	titleLoc;	// location on the screen	
	uchar	which;		// which item is it
	Boolean	highlight;	// is it highlighted
	
//	add the menu part of the window
	
// items in the menu
	uchar	numItem;
	

};


#endif