#ifndef _Screen_h_
#define _Screen_h_

#include "GameTypes.h"
#include "Blitters.h"


#define kMaxUpdate			30

class	COSScreen
{
public:
	COSScreen( void );
	~COSScreen( void );
	
	Boolean	InitScreen( void );

	void	RestoreScreen( void );

	void	DrawAll( void );
	void	AddRectToUpdate( rect theRect );
	void	UpdateMainWindow( void );
	
	Boolean	InViewArea( point where );
	Boolean	RectAllInScreen( const rect *where );
	
	void	DrawGeneric( 	OffScreenBuff *srcBuff , rect *srcRect , 
								rect *destRect , rect *crop , ushort options , 
								uchar more , ushort color , Boolean menu = false);
private:
	void	AdjustRect( rect *theRect );
	void 	CleanUp( rect *where );

// hiding bar thing
	long			OldMBarHeight;
//
	uchar			numUpdate;
	rect			update[ kMaxUpdate ];


//
	Boolean			drawAll;
	WindowPtr		screen;
	OffScreenBuff	viewBuffer;
	rect			viewArea;	// what can be drawn on, below menu bar
	rect			screenSize;	// total area of screen
};

// global
extern	COSScreen	screen;

#endif