//===================================================================
//=======================  Headers		=============================

#include "Application.h"
#include "ApplicationEvents.h"
#include "MenuBar.h"

//===================================================================
//=======================  Globals		=============================

//===================================================================
//=======================  #define		=============================


//===================================================================
//=======================  Function Prototypes	=====================


/*----------------------------------------------------------------------------\

	Application :: Constructor

\----------------------------------------------------------------------------*/
	Application :: Application( void )
				: WindowManager()
{
	whichApp = 0;
	active = false;
	hiden = false;
	
	next = NULL;
	previous = NULL;
}

/*----------------------------------------------------------------------------\

	Application :: HandleEvent

\----------------------------------------------------------------------------*/
void	Application :: HandleEvent( ushort event , void *data )
{
	switch( event )
	{
	case kAEMakeFrontAppEvent:
		
	break;
	
	case kAEGoBackGroundEvent:
		
	break;
	
	case kAEActivateEvent:
		
	break;
	
	case kAEDeactivateEvent:
		
	break;
	
	case kAEHideEvent:
		
	break;
	}
}

/*----------------------------------------------------------------------------\

	Application :: HandleMouseClick

\----------------------------------------------------------------------------*/
Boolean	Application :: HandleMouseClick( Boolean down, point where )
{
	return WMHandleMouseClick( down , where );
}

/*----------------------------------------------------------------------------\

	Application :: HandleMouseMove

\----------------------------------------------------------------------------*/
void	Application :: HandleMouseMove( point where )
{
	WMHandleMouseMove( where );
}

/*----------------------------------------------------------------------------\

	Application :: CleanUp

\----------------------------------------------------------------------------*/
void	Application :: CleanUp( rect *where )
{
	DrawWindows( where );
}

/*----------------------------------------------------------------------------\

	Application :: Maintance

\----------------------------------------------------------------------------*/
void	Application :: Maintance( void )
{
	
}

/*----------------------------------------------------------------------------\

	Application :: IsActive

\----------------------------------------------------------------------------*/
Boolean	Application :: IsActive( void )
{
	return active;
}

/*----------------------------------------------------------------------------\

	Application :: GetAppType

\----------------------------------------------------------------------------*/
char	Application :: GetAppType( void )
{
	return whichApp;
}

/*----------------------------------------------------------------------------\

	Application :: IsHiden

\----------------------------------------------------------------------------*/
Boolean	Application :: IsHiden( void )
{
	return hiden;
}

/*----------------------------------------------------------------------------\

	Application :: InitSpecialMenus

\----------------------------------------------------------------------------*/
void	Application :: InitSpecialMenus( void )
{
	menuBar.SetUpSpecialMenu( &appleMenu , &AppSwitchMenu );
}

