//===================================================================
//=======================  Headers		=============================

#include "BogusQuickTime.h"
#include "ApplicationEvents.h"
#include "MenuBar.h"


//===================================================================
//=======================  Globals		=============================

//===================================================================
//=======================  #define		=============================


//===================================================================
//=======================  Function Prototypes	=====================

/*----------------------------------------------------------------------------\

	BogusQuickTime :: Constructor

\----------------------------------------------------------------------------*/
		BogusQuickTime :: BogusQuickTime( void )
{
	whichApp = 5;
}

/*----------------------------------------------------------------------------\

	BogusQuickTime :: Init

\----------------------------------------------------------------------------*/
Boolean	BogusQuickTime :: Init( void )
{
	Boolean	allGood;
	
	allGood = shit.SetUp( 100 , 100  );
	
		
	if( allGood )
	{
		SetUpMenuItems();
		
		AddFrontWindow( &shit );
	}
	
	return allGood;
}

/*----------------------------------------------------------------------------\

	BogusQuickTime :: HandleEvent

\----------------------------------------------------------------------------*/
void	BogusQuickTime :: HandleEvent( ushort event , void *data )
{
	switch( event )
	{
	case kAEMakeFrontAppEvent:
		ChangeActive( true );
	break;
	
	case kAEGoBackGroundEvent:
		ChangeActive( false );
	break;
	
	case kAEActivateEvent:
		
	break;
	
	case kAEDeactivateEvent:
		
	break;
	
	case kAEHideEvent:
		
	break;
	
	case kAEMenuSelect:
	//	HandleMenuSelect( ((AEMenuWhere *)data)->which , ((AEMenuWhere *)data)->num );
	break;
	}
}

/*----------------------------------------------------------------------------\

	BogusQuickTime :: HandleMouseClick

\----------------------------------------------------------------------------*/
Boolean	BogusQuickTime :: HandleMouseClick( Boolean down, point where )
{
	return WMHandleMouseClick( down , where );
}

/*----------------------------------------------------------------------------\

	BogusQuickTime :: HandleMouseMove

\----------------------------------------------------------------------------*/
void	BogusQuickTime :: HandleMouseMove( point where )
{
	WMHandleMouseMove( where );
}

/*----------------------------------------------------------------------------\

	BogusQuickTime :: CleanUp

\----------------------------------------------------------------------------*/
void	BogusQuickTime :: CleanUp( rect *where )
{	
// now clean up the windows
	DrawWindows( where );
}

/*----------------------------------------------------------------------------\

	BogusQuickTime :: Maintance

\----------------------------------------------------------------------------*/
void	BogusQuickTime :: Maintance( void )
{
	long t = TickCount();
	
	if( (t / 12 ) * 12 == t )
		shit.Animate();

	WMMaintance();
}

/*----------------------------------------------------------------------------\

	BogusQuickTime :: ChangeActive

\----------------------------------------------------------------------------*/
void	BogusQuickTime :: ChangeActive( Boolean act )
{
	if( act != active )
	{
		active = act;
		
		if( active )
		{
			InitSpecialMenus();
			menuBar.AddMenuToList( &FileMenu );
			
			WMGoBackGround( false );
		}
		else
		{
			WMGoBackGround( true );
		}
	}
}

/*----------------------------------------------------------------------------\

	BogusQuickTime :: SetUpMenuItems

\----------------------------------------------------------------------------*/
void	BogusQuickTime :: SetUpMenuItems( void )
{
	AddMenuWindow( &appleMenu );
	AddMenuWindow( &AppSwitchMenu );
	
	FileMenu.SetWhichMenu( kFileMenuTitle );
	FileMenu.SetMaxItems( 3 );
	FileMenu.AddItem( 0 , "Open" , true );
	FileMenu.AddItem( 1 , NULL , true );
	FileMenu.AddItem( 2 , "Quit" , true );
	FileMenu.Init();
	AddMenuWindow( &FileMenu );

}
